Subject: bug#14464: 24.3; require sets deactivate-mark causing problems with some plugins

From: Glenn Morris <[email-masked]>
Date: Fri, 24 May 2013 17:02:37 -0400

Donald Curtis wrote:

> I am using the `multiple-cursors` package through `package.el` which
> sets up some autoloads that rely on the currently selected region. When
> I call the function---through a keybinding---the current region
> deactivates. The problem is that subsequent calls to the function
> require that the region stay active.
>
> It appears that somewhere during the call to `require`,
> `deactivate-mark` is being set to `t` and thus the mark gets deactivated.
>
> The only solution that I have been able to come up with is to advise
> around `require` and create a local instance of `deactivate-mark` while
> saving the excursion.

I think it's unlikely that require itself messes with the mark.
The thing that you are requiring can of course do anything at all.
Sounds like this could be a problem in "multiple-cursors", which isn't
part of Emacs.